For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET v1/browser/requests/{id}

For more information on browser requests, see here.

The following endpoint allows you to query the browser request for your account by ID.

Get a browser request by ID

get

This endpoint retrieves a browser request by its ID.

Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

The unique identifier of the browser request to retrieve.

Query parameters
idstringRequired

The unique identifiers of the browser request to retrieve.

Responses
200

The browser request

application/json
idstring · nullableOptional

ID of the browser request

urlstring · nullableOptional

URL of the request

proxy_locationstring · nullableOptional

The proxy location of the request.

statestring · nullableOptional

The status of the request

credit_usageinteger · int32 · nullableOptional

The number of credits used by the request

errorstring · nullableOptional

The name of the error type

error_reasonstring · nullableOptional

More detail about the error

actual_urlstring · nullableOptional

The actual URL captured, after any redirects.

http_status_codeinteger · int32Optional

The http status code for the request.

from_cacheboolean · nullableOptional

If this request was served from the cached

started_atstring · date-timeOptional

The time in UTC when the request started.

completed_atstring · date-timeOptional

The time in UTC when the request finished.

running_timestring · timespanOptional

The running time of the request

page_load_timestring · timespanOptional

How long did the page take to fully render.

videostring · nullableOptional

Video url

get/v1/browser/requests/{id}
GET /v1/browser/requests/{id}?id=text HTTP/1.1
Host: api.gaffa.dev
X-API-Key: YOUR_API_KEY
Accept: */*
{
  "id": "text",
  "url": "text",
  "proxy_location": "text",
  "state": "text",
  "credit_usage": 1,
  "error": "text",
  "error_reason": "text",
  "actual_url": "text",
  "http_status_code": 1,
  "from_cache": true,
  "started_at": "2026-01-01T00:00:00.000Z",
  "completed_at": "2026-01-01T00:00:00.000Z",
  "running_time": "text",
  "page_load_time": "text",
  "actions": [
    {
      "id": "text",
      "type": "text",
      "custom_id": "text",
      "timestamp": "2026-01-01T00:00:00.000Z",
      "output": {},
      "reference": "text",
      "iterations": 1,
      "actions": [
        {
          "id": "text",
          "type": "text",
          "custom_id": "text",
          "timestamp": "2026-01-01T00:00:00.000Z",
          "output": {},
          "reference": "text",
          "iterations": 1,
          "actions": [
            "[Circular Reference]"
          ],
          "error": "text"
        }
      ],
      "error": "text"
    }
  ],
  "video": "text"
}

Last updated